Download it now!
Bug 65266 - FILEOPEN CJK: DOCX import text with Enclosed Characters not rendered
Summary: FILEOPEN CJK: DOCX import text with Enclosed Characters not rendered
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA interoperability
Keywords: filter:docx
Depends on:
Blocks: CJK DOCX DOCX-Fields
  Show dependency treegraph
 
Reported: 2013-06-02 14:13 UTC by Adam CloudOn
Modified: 2019-04-03 16:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing Enclosed Characters (12.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-02 14:13 UTC, Adam CloudOn
Details
Screenshot with good and bad behavior (77.04 KB, image/png)
2013-06-02 22:34 UTC, Jorendc
Details
Word 2013 Screenshot [Windows 8] (18.97 KB, image/png)
2013-06-03 06:52 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-06-02 14:13:18 UTC
Created attachment 80154 [details]
DOCX containing Enclosed Characters

Problem description: 
When openning a DOCX in LO that has Enclosed Characters from MS Word - LO doesn't show the enclosed characters (simply ignores them in the import).

Steps to reproduce:
1. Load the attached DOCX in LO
2. Characters that are enclosed by a circle of square are simply not rendered

Current behavior:
LO doesn't render character that have Character Enclosures

Expected behavior:
LO should render the characters with the enclosures.
Operating System: Windows 7
Version: 4.0.3.3 release
Comment 1 Adam CloudOn 2013-06-02 14:23:32 UTC
Some background info I digged up:

The DOCX's 'document.xml' contains nodes that look like :     eq \o\ac(o,b)

After searching the net about this, I came accross this thread:
http://social.msdn.microsoft.com/Forums/en-US/os_openXML-ecma/thread/a70817fe-459b-40e2-bb3d-614ec3ddfcf3

which recommended downloading the spec sheet from here:
http://standards.iso.org/ittf/PubliclyAvailableStandards/c061798_ISO_IEC_29500-4_2012.zip

In section "14.9.4.6 EQ" there is an explanation about how to compute the 'eq'.
Apparently it displays each successive argument on top of the previous one. 
Each character is displayed within an invisible character box, 
with the switches being available to align the boxes on top of one another.
Comment 2 Jorendc 2013-06-02 22:33:45 UTC
I can confirm this using Mac OSX 10.8.3 with LibreOffice 4.0.4.1 rc1, in combination with Word for Mac 2011.

Thanks for such clear reports :-)!
Joren
Comment 3 Jorendc 2013-06-02 22:34:05 UTC
Created attachment 80168 [details]
Screenshot with good and bad behavior
Comment 4 Adam CloudOn 2013-06-03 06:52:40 UTC
Created attachment 80183 [details]
Word 2013 Screenshot [Windows 8]
Comment 5 Adam CloudOn 2013-06-03 06:53:54 UTC
(In reply to comment #3)
> Created attachment 80168 [details]
> Screenshot with good and bad behavior

Hi @Jerome,
Very strange you got what you got on Word for Mac.
The actual way it *should* look is the square \ circle should be on top of the letters, like the screenshot I provided from Word 2013 on Windows 8.
That's what the documentation says, anyway...
Comment 6 Jorendc 2013-06-03 09:11:18 UTC
Comment on attachment 80168 [details]
Screenshot with good and bad behavior

Oh well :-). Yet another reason to hate Word :-)
Comment 7 Alexandr 2014-07-19 08:37:26 UTC
Reproducible with LibreOffice 4.2.5 and 4.3.0.3 on Debian.
Comment 8 QA Administrators 2015-09-04 02:48:36 UTC Comment hidden (obsolete)
Comment 9 Alexandr 2015-09-19 17:13:58 UTC
Reproducible with LibreOffice 5.0.1 on Debian.
Comment 10 Robinson Tryon (qubit) 2015-12-14 06:01:18 UTC Comment hidden (obsolete)
Comment 11 Volga 2017-12-18 13:46:38 UTC
Does ODF having the counterpart for this? If so, LibreOffice can making the implementation for this, otherwise just work around for compatibility purpose.
Comment 12 QA Administrators 2018-12-19 03:51:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug